gensio_acc_control(3)

NAME
gensio_acc_control - Perform gensio accepter specific actions

SYNOPSIS
#include <gensio/gensio.h>

int gensio_acc_control(struct gensio *io, int depth, bool get,
    unsigned int option,
    char *data, gensiods *datalen);

DESCRIPTION
gensio_acc_control performs a gensio accepter specific operation on the gensio accepter. This works exactly like gensio_control(3), see that for details. Currently no built-in gensio accepters support this, it is here for future.

RETURN VALUES
Zero is returned on success, or a gensio error on failure.

SEE ALSO
gensio_err(3), gensio(5), gensio_control(3)